Bug 800885 - [eap6] unable to start/stop/restart managed server
[eap6] unable to start/stop/restart managed server
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
Reported: 2012-03-07 08:02 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-31 06:15:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-03-07 08:02:43 EST
Description of problem: I am not able to start/stop/restart EAP6 managed servers.

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: f02a5b9

How reproducible:always

Steps to Reproduce:
1.start EAP6 domain controller
2.inventory it
3.try to invoke some operation on managed server-one
Actual results:

UI says:

java.lang.Exception: Operation  returned <"JBAS010850: No handler for operation start at address []","rolled-back":true}>, rolled-back=false
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

Agent log says:

2012-03-07 13:59:20,277 DEBUG [WorkerThread#0[]] (jboss.remoting.transport.socket.ClientSocketWrapper)- reset timeout: 60000
2012-03-07 13:59:20,352 DEBUG [WorkerThread#0[]] (enterprise.communications.command.server.CommandProcessor)- {CommandProcessor.executing}Executing command [Command: type=[remotepojo]; cmd-in-response=[false]; config=[{rhq.send-throttle=true}]; params=[{invocation=NameBasedInvocation[invokeOperation], targetInterfaceName=org.rhq.core.clientapi.agent.operation.OperationAgentService}]]
2012-03-07 13:59:20,403 DEBUG [WorkerThread#0[]] (enterprise.communications.command.server.CommandProcessor)- {CommandProcessor.executed}Executed command - response is [Command Response: isSuccessful=[true]; command=[null]; results=[null]; exception=[>> exception was null <<]]

Expected results: managed server is started

Additional info: My EAPs native and http interfaces are unsecured, if that matters.
Comment 1 Heiko W. Rupp 2012-03-07 08:47:14 EST
7016f59b59769beffd in master
Comment 2 Mike Foley 2012-03-12 11:33:14 EDT
per 3/12/2012 bz triage (loleary, crouch, foley)
Comment 3 Libor Zoubek 2012-03-13 12:08:36 EDT
verified on master Version: 4.4.0-SNAPSHOT Build Number: 35d045b
Comment 4 Heiko W. Rupp 2013-08-31 06:15:30 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.